# Generated from localeapp-3.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name localeapp

Name: rubygem-%{gem_name}
Version: 3.3.0
Release: 1%{?dist}
Summary: Easy i18n translation management with localeapp.com
License: MIT
URL: http://www.localeapp.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.1
# BuildRequires: rubygem(rspec) >= 3.3
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(yard)
# BuildRequires: rubygem(aruba) >= 0.8
# BuildRequires: rubygem(aruba) < 1
# BuildRequires: rubygem(cucumber) >= 2.0
# BuildRequires: rubygem(cucumber) < 3
# BuildRequires: rubygem(fakeweb)
BuildArch: noarch

%description
Synchronizes i18n translation keys and content with localeapp.com so you don't
have to manage translations by hand.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/localeapp
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/cucumber.yml
%{gem_instdir}/features
%{gem_instdir}/localeapp.gemspec
%{gem_instdir}/spec

%changelog
* Tue Feb 22 2022 mockbuilder - 3.3.0-1
- Initial package
